
import { Req } from '../../http/request';
import { HttpConfig } from '../../http/server';
import { HttpWebDependencies } from '../server';
import { csp_headers } from '../../http/content-security-policy';
import { FastifyInstance, RouteShorthandOptions } from 'fastify';

export function register_color_themes_endpoint(http_server: FastifyInstance, conf: HttpConfig, { color_themes }: HttpWebDependencies) {
	const opts: RouteShorthandOptions = {
		schema: { },
	};

	http_server.get('/themes.css', opts, async (req: Req, res) => {
		res.status(200);
		res.header('content-type', 'text/css; charset=utf-8');
		res.header('cache-control', 'public, max-age=3600');
		csp_headers(res, conf.exposed_url);
		return color_themes.css;
	});
}
